﻿using System;
using System.Windows.Data;
using Infragistics;
using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;

namespace XamGrid
{
    public class ConvertisseurElementsFiltrables : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            FilterSelectionControl control = value as FilterSelectionControl;
            CommandSourceCollection collection = new CommandSourceCollection();

            XamGridPopupCommandSource cmd = new XamGridPopupCommandSource();
            cmd.CommandType = XamGridPopupCommand.ClosePopup;
            cmd.EventName = "Click";

            collection.Add(cmd);

            if (!control.Cell.Column.IsGroupBy)
            {
                FilterSelectionControlCommandSource cmd2 = new FilterSelectionControlCommandSource();
                cmd2.CommandType = FilterSelectionControlCommand.AcceptChanges;
                cmd2.EventName = "Click";

                collection.Add(cmd2);
            }

            return collection;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
